org.apache.pdfbox.pdmodel.interactive.annotation.layout

## Class PlainTextFormatter

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.layout.PlainTextFormatter

    public class PlainTextFormatter
    extends Object

TextFormatter to handle plain text formatting for annotation rectangles. The text formatter will take a single value or an array of values which are treated as paragraphs.

### Nested Class Summary

Nested Classes
`static class` `PlainTextFormatter.Builder`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `format()` Format the text block.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### format

    public void format()
                throws IOException

Format the text block.

Throws:
  `IOException` - if there is an error writing to the stream.